View Issue Details

IDProjectCategoryView StatusLast Update
0001656Ham Radio DeluxeBugpublic2017-06-19 21:18
ReporterWA9PIE 
Assigned ToERIK 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.3.0.448 
Summary0001656: After updating 7 to 10 QSO records, Logbook will crash
DescriptionUsers are using QRZ to update records (but we know that this happens without QRZ). After making about 7 to 10 updates, Logbook will crash.
Steps To ReproduceOpen logbook
add data to a record, press F7
continue this until logbook crashes
TagsNo tags attached.
ModuleLogbook
Sub-ModuleData
Testing

Relationships

Activities

KB3NPH

2014-07-16 19:19

administrator   ~0000444

I have had several tickets reporting this same problem, usually after 6 updates. Latest ticket to report this is Ticket #767000

KB3NPH

2014-07-16 19:24

administrator   ~0000445

Ticket #243686 is also reporting this same issue.

k2dls

2014-09-26 16:25

viewer   ~0000563

Attempted to reproduce on v299, successfully enter 10 QSOs in fairly rapid succession with no issue. Using MySQL on different host for DB.

WA9PIE

2014-09-27 13:15

administrator   ~0000564

I think what's really happening here is that logbook crashes after using the QRZ button to update 7 to 10 records (rather than creating 7-10 new records).

Try that.

k2dls

2014-09-27 20:44

viewer   ~0000566

Last edited: 2014-09-27 20:46

View 2 revisions

Just managed to crash after opening an already logged contact, click QRZ button to retrieve data, then cancelled out without updating. Did this 7 times and got an MFC crash. So seems to have something to do with qrz.com support code and nothing to do with adding or updating QSO record in DB.

WA9PIE

2015-09-22 16:40

administrator   ~0000614

This was fixed when we changed the behavior of the QRZ button to perform the same lookup as TAB.

Issue History

Date Modified Username Field Change
2014-06-19 17:46 WA9PIE New Issue
2014-06-19 17:48 WA9PIE Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2014-06-19 17:49 WA9PIE Assigned To => ERIK
2014-06-19 17:49 WA9PIE Status new => assigned
2014-07-16 19:19 KB3NPH Note Added: 0000444
2014-07-16 19:24 KB3NPH Note Added: 0000445
2014-09-26 16:25 k2dls Note Added: 0000563
2014-09-27 13:15 WA9PIE Note Added: 0000564
2014-09-27 20:44 k2dls Note Added: 0000566
2014-09-27 20:46 k2dls Note Edited: 0000566 View Revisions
2014-10-08 22:04 WA9PIE Project 3 - Current Dev List => 2 - Next Dev List (Holding Area)
2015-09-17 13:40 WA9PIE Category Logbook => Bug
2015-09-22 16:39 WA9PIE Fix Build TBD => (select)
2015-09-22 16:39 WA9PIE Proposed Release => TBD
2015-09-22 16:39 WA9PIE Summary Bug: After updating 7 to 10 QSO records, Logbook will crash => After updating 7 to 10 QSO records, Logbook will crash
2015-09-22 16:40 WA9PIE Proposed Release TBD => 6.3
2015-09-22 16:40 WA9PIE Note Added: 0000614
2015-09-22 16:40 WA9PIE Status assigned => closed
2015-09-22 16:40 WA9PIE Resolution open => fixed
2015-09-30 13:51 WA9PIE Project 2 - Next Dev List (Holding Area) => Ham Radio Deluxe
2017-06-19 21:18 WA9PIE Fixed in Version => 6.3.0.448